StreamingLocatorsOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:streaming_locators> attribute.

Inheritance
builtins.object
StreamingLocatorsOperations

Constructor

StreamingLocatorsOperations(*args, **kwargs)

Methods

create

Create a Streaming Locator.

Create a Streaming Locator in the Media Services account.

delete

Delete a Streaming Locator.

Deletes a Streaming Locator in the Media Services account.

get

Get a Streaming Locator.

Get the details of a Streaming Locator in the Media Services account.

list

List Streaming Locators.

Lists the Streaming Locators in the account.

list_content_keys

List Content Keys.

List Content Keys used by this Streaming Locator.

list_paths

List Paths.

List Paths supported by this Streaming Locator.

create

Create a Streaming Locator.

Create a Streaming Locator in the Media Services account.

async create(resource_group_name: str, account_name: str, streaming_locator_name: str, parameters: azure.mgmt.media.models._models_py3.StreamingLocator, **kwargs: Any) -> azure.mgmt.media.models._models_py3.StreamingLocator

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

streaming_locator_name
str
Required

The Streaming Locator name.

parameters
StreamingLocator
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

StreamingLocator, or the result of cls(response)

Return type

Exceptions

delete

Delete a Streaming Locator.

Deletes a Streaming Locator in the Media Services account.

async delete(resource_group_name: str, account_name: str, streaming_locator_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

streaming_locator_name
str
Required

The Streaming Locator name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get a Streaming Locator.

Get the details of a Streaming Locator in the Media Services account.

async get(resource_group_name: str, account_name: str, streaming_locator_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.StreamingLocator

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

streaming_locator_name
str
Required

The Streaming Locator name.

cls
callable

A custom type or function that will be passed the direct response

Returns

StreamingLocator, or the result of cls(response)

Return type

Exceptions

list

List Streaming Locators.

Lists the Streaming Locators in the account.

list(resource_group_name: str, account_name: str, filter: Optional[str] = None, top: Optional[int] = None, orderby: Optional[str] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.StreamingLocatorCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter
str
Required

Restricts the set of items returned. Default value is None.

top
int
Required

Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n. Default value is None.

orderby
str
Required

Specifies the key by which the result collection should be ordered. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either StreamingLocatorCollection or the result of cls(response)

Return type

Exceptions

list_content_keys

List Content Keys.

List Content Keys used by this Streaming Locator.

async list_content_keys(resource_group_name: str, account_name: str, streaming_locator_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ListContentKeysResponse

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

streaming_locator_name
str
Required

The Streaming Locator name.

cls
callable

A custom type or function that will be passed the direct response

Returns

ListContentKeysResponse, or the result of cls(response)

Return type

Exceptions

list_paths

List Paths.

List Paths supported by this Streaming Locator.

async list_paths(resource_group_name: str, account_name: str, streaming_locator_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ListPathsResponse

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

streaming_locator_name
str
Required

The Streaming Locator name.

cls
callable

A custom type or function that will be passed the direct response

Returns

ListPathsResponse, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>